# meta-phone

[![pipeline status](http://gitlab.meta.com.br/meta-awesome/meta-phone/badges/master/pipeline.svg)](http://gitlab.meta.com.br/meta-awesome/meta-phone/commits/master) [![coverage report](http://gitlab.meta.com.br/meta-awesome/meta-phone/badges/master/coverage.svg)](http://gitlab.meta.com.br/meta-awesome/meta-phone/commits/master)

> Input component type boolean based on a checkbox to be used within forms. It contains all required validations.

## Installation

``` bash
yarn add @meta/phone
```

If yarn cannot find component in registry, run:

``` bash
npm set registry http://gitlab.meta.com.br:4873
npm adduser --registry http://gitlab.meta.com.br:4873
```

## Usage

### Props

Parameter | Type | Required | Default | Description
--------- | ---- | -------- | ------- | -----------
classes | `object` | false | `{}` | 
disabled | `boolean` | false | false | 
id | `string` | true | | 
label | `string` | true | | |
maxlength | `number` | false | 255 | 
minlength | `number` | false | 0 | 
name | `string` | true | | 
pattern | `string` | false | `(.*)` | Regex to be applied
placeholder | `string` | false | | 
readonly | `boolean` | false | false | 
required | `boolean` | false | false | 
validations | `object` | false | `{}` | Validations applied by [vee-validate](https://github.com/baianat/vee-validate)

## Build Setup

``` bash
# install dependencies
npm install

# serve with hot reload at localhost:8080
npm run dev

# build for production with minification
npm run build
```

For detailed explanation on how things work, consult the [docs for vue-loader](http://vuejs.github.io/vue-loader).
